Adding Point3d to a list of GeometryBase for Brep.CreatePatch method

Hi all. I am trying to create a custom script that takes a pre-configured List and create a patched surface using Brep.CreatePatch method. Kind of like selecting a bunch of points and use “patch” in Rhino space.

Currently I am having trouble with adding my list of point3d into the Geometry base.3, and the Error message I receive from the C# component displays

Argument 1: cannot convert from ‘Rhino.Geometry.Point3d’ to ‘Rhino.Geometry.GeometryBase’

I think I have made a mistake due to a lack of understanding on a more foundational level. Could someone please shine some light on how to convert my list of Point3d into a list of GeometryBase ?
Much thanks in advance.

Best
Will

Points are always converted to Point3d
I had the same problem so used a pointList instead of a geometrybase list
Gd

1 Like

It worked. Thank you SIR!!

Hi,

Maybe a bit old post, but I just ran in the same problem.

What I did was convert the Point3D list to a PointCloud.

Then you can create a List of GeometryBase and simply add it.